---
lang: en
title: 'API docs: tsdocs.extractoroptions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/tsdocs
permalink: /doc/en/lb4/apidocs.tsdocs.extractoroptions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/tsdocs](./tsdocs.md) &gt; [ExtractorOptions](./tsdocs.extractoroptions.md)

## ExtractorOptions interface

Options to run api-extractor against the lerna repo

**Signature:**

```typescript
export interface ExtractorOptions extends ApiDocsOptions 
```
**Extends:** [ApiDocsOptions](./tsdocs.apidocsoptions.md)

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[apiReportEnabled?](./tsdocs.extractoroptions.apireportenabled.md)


</td><td>


</td><td>

boolean


</td><td>

_(Optional)_ A flag to control if `apiReport` should be enabled


</td></tr>
<tr><td>

[config?](./tsdocs.extractoroptions.config.md)


</td><td>


</td><td>

IConfigFile


</td><td>

_(Optional)_ Configuration for api-extractor


</td></tr>
<tr><td>

[ignoreErrors?](./tsdocs.extractoroptions.ignoreerrors.md)


</td><td>


</td><td>

boolean


</td><td>

_(Optional)_ A flag to control if errors should be ignored


</td></tr>
<tr><td>

[mainEntryPointFilePath?](./tsdocs.extractoroptions.mainentrypointfilepath.md)


</td><td>


</td><td>

string


</td><td>

_(Optional)_ mainEntryPointFilePath


</td></tr>
<tr><td>

[tsconfigFilePath?](./tsdocs.extractoroptions.tsconfigfilepath.md)


</td><td>


</td><td>

string


</td><td>

_(Optional)_ Path for tsconfig


</td></tr>
<tr><td>

[typescriptCompilerFolder?](./tsdocs.extractoroptions.typescriptcompilerfolder.md)


</td><td>


</td><td>

string


</td><td>

_(Optional)_ Custom TypeScript compiler dir


</td></tr>
</tbody></table>


